%define pypi_name dill

Name:           python-%{pypi_name}
Version:        0.3.9
Release:        %mkrel 3
Summary:        Serialize all of python
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/dill/
Source0:        %{pypi_source %pypi_name %version tar.gz}
BuildArch:      noarch

%description
dill extends python’s pickle module for serializing and de-serializing python
objects to the majority of the built-in python types. Serialization is the
process of converting an object to a byte stream, and the inverse of which is
converting a byte stream back to on python object hierarchy.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
dill extends python’s pickle module for serializing and de-serializing python
objects to the majority of the built-in python types. Serialization is the
process of converting an object to a byte stream, and the inverse of which is
converting a byte stream back to on python object hierarchy.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dill

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/get_objgraph
%{_bindir}/get_gprof
%{_bindir}/undill


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.3.9-3.mga10
+ Revision: 2238272
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.3.9-2.mga10
+ Revision: 2154708
- rebuild for python3.13

* Thu Dec 19 2024 papoteur <papoteur> 0.3.9-1.mga10
+ Revision: 2126211
- new version 0.3.9

* Mon Feb 26 2024 daviddavid <daviddavid> 0.3.8-1.mga10
+ Revision: 2044326
- new version: 0.3.8

* Wed Dec 27 2023 papoteur <papoteur> 0.3.7-2.mga10
+ Revision: 2022634
- rebuild for python 3.12

* Sun Sep 10 2023 papoteur <papoteur> 0.3.7-1.mga10
+ Revision: 1985952
- new 0.3.7

* Sat Jan 14 2023 guillomovitch <guillomovitch> 0.3.6-1.mga9
+ Revision: 1933049
- new version 0.3.6

* Thu Aug 25 2022 neoclust <neoclust> 0.3.5.1-1.mga9
+ Revision: 1880150
- New version 0.3.5.1

* Wed Mar 23 2022 umeabot <umeabot> 0.3.4-3.mga9
+ Revision: 1822531
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 0.3.4-2.mga9
+ Revision: 1774343
- Rebuild for python 3.10

* Wed Jul 14 2021 guillomovitch <guillomovitch> 0.3.4-1.mga9
+ Revision: 1735983
- new version 0.3.4

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.3.3-2.mga9
+ Revision: 1705552
- rebuild for python 3.9

* Sat Nov 28 2020 guillomovitch <guillomovitch> 0.3.3-1.mga8
+ Revision: 1649859
- new version 0.3.3

* Fri Jul 03 2020 guillomovitch <guillomovitch> 0.3.2-1.mga8
+ Revision: 1601774
- new version 0.3.2

* Sun Feb 16 2020 umeabot <umeabot> 0.3.1.1-2.mga8
+ Revision: 1534477
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 guillomovitch <guillomovitch> 0.3.1.1-1.mga8
+ Revision: 1449004
- new version 0.3.1.1
- drop python2 support

* Tue Jul 02 2019 guillomovitch <guillomovitch> 0.3.0-1.mga8
+ Revision: 1417476
- imported package python-dill

